<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="item"
            type="com.vessel.app.common.model.Program" />

        <variable
            name="handler"
            type="com.vessel.app.programs.details.adapters.RecommendedByAdapter.OnActionHandler" />

        <variable
            name="viewModel"
            type="com.vessel.app.programs.details.ProgramDetailsViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/lblAbout"
            style="@style/Label.Large"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:layout_marginTop="@dimen/spacing_xl"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:textAllCaps="false"
            android:text="About" />

        <View
            android:id="@+id/aboutBackground"
            visible="@{item.contact != null}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="@dimen/spacing_small"
            android:layout_marginTop="@dimen/spacing_normal"
            android:background="@drawable/gray_background"
            app:layout_constraintBottom_toBottomOf="@id/aboutValue"
            app:layout_constraintTop_toBottomOf="@id/lblAbout" />



        <com.vessel.app.views.ExpandableTextViewGroup
            android:id="@+id/aboutValue"
            visible="@{item.contact != null}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_xs"
            android:paddingHorizontal="@dimen/spacing_2xl"
            android:paddingVertical="@dimen/spacing_large"
            android:text="@{item.description}"
            app:checkOutScienceSources="@{item.sources}"
            app:checkOutScienceSourcesClickListener="@{viewModel}"
            app:collapsedLines="4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/lblAbout"
            app:lessButtonText="@string/read_less"
            app:lessPosition="left"
            app:moreButtonText="@string/more" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
